package com.cym.utils.cert.ssl;
import java.util.List;

public class AuthorityKeyIdentifierExtension
{
    private boolean critical;

    private List<String> elements;

    private ExtensionId extensionId;

    private String extensionValue;

    private String id;

    private String name;

    private String value;

    public void setCritical(boolean critical){
        this.critical = critical;
    }
    public boolean getCritical(){
        return this.critical;
    }
    public void setElements(List<String> elements){
        this.elements = elements;
    }
    public List<String> getElements(){
        return this.elements;
    }
    public void setExtensionId(ExtensionId extensionId){
        this.extensionId = extensionId;
    }
    public ExtensionId getExtensionId(){
        return this.extensionId;
    }
    public void setExtensionValue(String extensionValue){
        this.extensionValue = extensionValue;
    }
    public String getExtensionValue(){
        return this.extensionValue;
    }
    public void setId(String id){
        this.id = id;
    }
    public String getId(){
        return this.id;
    }
    public void setName(String name){
        this.name = name;
    }
    public String getName(){
        return this.name;
    }
    public void setValue(String value){
        this.value = value;
    }
    public String getValue(){
        return this.value;
    }
}